本繁體中文版使用機器翻譯,譯文僅供參考,若與英文版本牴觸,應以英文版本為準。

系統在升級期間的影響

貢獻者

您必須瞭StorageGRID 解升級過程中、您的不知道哪些系統會受到影響。

不中斷升級StorageGRID

整個升級過程中、這個系統可以從用戶端應用程式擷取及擷取資料。StorageGRID網格節點在升級期間一次關閉一個節點、因此並非所有網格節點都無法使用。

若要持續提供可用度、您必須使用適當的ILM原則、確保以冗餘方式儲存物件。您也必須確保所有外部S3或Swift用戶端均設定為傳送要求至下列其中一項:

  • 將此端點設定為高可用度(HA)群組StorageGRID

  • 高可用度協力廠商負載平衡器

  • 每個用戶端有多個閘道節點

  • 每個用戶端有多個儲存節點

應用裝置韌體已升級

在升級過程中:StorageGRID

  • 所有StorageGRID 的產品節點都會自動升級StorageGRID 至更新至版本3.6的版本。

  • SG6060和SGF6024應用裝置會自動升級至BIOS韌體版本3B07.EX和BMC韌體版本BMC 3.93.07。

  • SG100和SG1000應用裝置會自動升級至BIOS韌體版本3B12.EC和BMC韌體版本4.67.07。

可能會觸發警示

當服務啟動和停止時、StorageGRID 以及當作業系統以混合版本環境運作時、可能會觸發警示(部分網格節點執行較早版本、而其他節點則已升級至較新版本)。升級完成後、可能會觸發其他警示。

例如、當服務停止時、您可能會看到*無法與node*通訊警示、或者當某些節點已升級StorageGRID 至Rs11.6、但其他節點仍在執行StorageGRID 方面、您可能會看到* Cassandra通訊錯誤*警示。一般而言、這些警示會在升級完成時清除。

將儲存節點升級StorageGRID 至版S11.6時、可能會觸發*無法實現的ILM放置*警示。升級完成後、此警示可能會持續1天。

如果您使用儲存Volume浮點的自訂值、則升級完成後可能會觸發*低唯讀浮點置換*警示。請參閱 疑難排解低唯讀浮水印會覆寫警示 以取得詳細資料。

升級完成後、您可以從Grid Manager儀表板選取*最近解決的警示*或*目前警示*、以檢閱任何與升級相關的警示。

會產生許多SNMP通知

請注意、當網格節點在升級期間停止並重新啟動時、可能會產生大量的SNMP通知。若要避免過多通知、請取消選取「啟用SNMP代理程式通知」核取方塊(組態>*監控*>* SNMP代理程式*)、以在開始升級之前停用SNMP通知。然後在升級完成後重新啟用通知。

組態變更受到限制

附註 受限組態變更清單可從版本變更為版本。升級至其他StorageGRID 版本時、請參閱適當升級說明中的清單。

在*啟用新功能*工作完成之前:

  • 請勿變更任何網格組態。

  • 請勿變更稽核層級組態或設定外部syslog伺服器。

  • 請勿啟用或停用任何新功能。

  • 請勿更新ILM組態。否則、您可能會遇到不一致且非預期的ILM行為。

  • 請勿套用修補程式或恢復網格節點。

  • 升級StorageGRID 至更新版的時候、您無法管理HA群組、VLAN介面或負載平衡器端點。

直到*最終升級步驟*工作完成為止:

  • 請勿執行擴充程序。

  • 請勿執行取消委任程序。

您無法從租戶管理程式檢視庫位詳細資料或管理庫位

在升級StorageGRID 至支援更新至支援更新的過程中(亦即、當系統以混合版本的環境運作時)、您無法使用租戶管理程式來檢視庫位詳細資料或管理庫位。下列其中一個錯誤會出現在Tenant Manager的「桶」頁面上:

  • 「升級至11.6時、您無法使用此API。」

  • 「您無法在升級至11.6時、在租戶管理程式中檢視庫位版本設定詳細資料。」

此錯誤將在升級至11.6%之後解決。

在執行11.6%升級時、請使用下列工具來檢視庫位詳細資料或管理庫位、而非使用租戶管理程式:

  • 若要在儲存區上執行標準S3作業、請使用S3 REST API或租戶管理API。

  • 若要在StorageGRID 庫位上執行「視覺化」自訂作業(例如檢視和修改庫位一致性層級、啟用或停用上次存取時間更新、或設定搜尋整合)、請使用「租戶管理API」。

請參閱 瞭解租戶管理API使用S3 以取得相關指示。